Bug 47441

Summary: [GTK] Search field icons should be centered vertically in the field
Product: WebKit Reporter: Martin Robinson <mrobinson>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: xan.lopez
Priority: P3 Keywords: Gtk
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Search field icon that is not centered
none
Patch for this issue
none
Patch clarifying rounding and reducing duplicated code xan.lopez: review+

Description Martin Robinson 2010-10-08 16:46:03 PDT
Currently search field icons seem to be drawn at some fixed distance from the top of the text field. See attached screenshot for demonstration of the issue.
Comment 1 Martin Robinson 2010-10-08 16:47:19 PDT
Created attachment 70317 [details]
Search field icon that is not centered
Comment 2 Martin Robinson 2010-10-08 17:00:29 PDT
Created attachment 70319 [details]
Patch for this issue
Comment 3 Xan Lopez 2010-10-09 02:43:34 PDT
Comment on attachment 70319 [details]
Patch for this issue

View in context: https://bugs.webkit.org/attachment.cgi?id=70319&action=review

> WebCore/platform/gtk/RenderThemeGtk.cpp:528
> +    }

What's the + 1 for? :)
Comment 4 Martin Robinson 2010-10-09 08:20:18 PDT
For text boxes with height that are an even number of pixels, it rounds to the bottom of the two central pixels. It originates from the Chromium port and they had a comment about this, so I definitely need to add one here. I will. :)
Comment 5 Martin Robinson 2010-10-09 13:29:45 PDT
Created attachment 70369 [details]
Patch clarifying rounding and reducing duplicated code
Comment 6 Martin Robinson 2010-10-11 08:24:42 PDT
Committed r69495: <http://trac.webkit.org/changeset/69495>